/*
 * Copyright 2019 Fairphone B.V.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.fairphone.common.components;

public final class ProximitySensor {

    /**
     * Builder for initializing the near and far values for the proximity sensor.
     */
    public static class ProximitySensorCalibrator implements Calibrator {

        public ProximitySensorCalibrator startCalibration() {
            // TODO: Prepare the hardware?
            return this;
        }

        /**
         * Store the raw value of proximity sensor when covered.
         */
        public ProximitySensorCalibrator initNearValue() {
            // TODO: Initialize near value
            return this;
        }

        /**
         * Store the raw value of proximity sensor when uncovered.
         */
        public ProximitySensorCalibrator initFarValue() {
            // TODO: Initialize far value
            return this;
        }

        /** {@inheritDoc} */
        @Override
        public boolean calibrate() {
            // TODO: calibration sensor with mNear and mFar
            return false;
        }
    }
}
